import ContentCard from "@/components/ContentCard";
import { ChangelogHandler } from "../../../lib/obtain-changelog";
import { LogItem } from "../../../lib/log-item";

export default function Changelog() {

  const changelogHandler = new ChangelogHandler();
  const changelogData: LogItem[] = changelogHandler.getFullChangelog();

  return (
    <>
      <ContentCard outerClass={'mb-4'} innerClass={'!shadow-zinc-700'}>
        <h1 className={"text-center"}>{'<< Changelog >>'}</h1>
      </ContentCard>

      <ContentCard>

        <h2>{"< Entries >"}</h2>
        <hr />

        {
          changelogData.map((log) =>
            <>
              <div>
                {log.id}. <b>{log.title}</b> (<a href={log.link}>{log.linkName}</a>)
                <br />
                <div className="ml-7">
                  <i>{log.date}</i> - {log.description}
                </div>
              </div>
              <hr />
            </>
          )}
      </ContentCard>
    </>
  )
}
